import request from '@/utils/request'

// 查询客户朋友圈列表
export function listFriendCircle(query) {
  return request({
    url: '/qw/friendCircle/list',
    method: 'get',
    params: query
  })
}

// 查询客户朋友圈详细
export function getFriendCircle(id) {
  return request({
    url: '/qw/friendCircle/' + id,
    method: 'get'
  })
}

// 新增客户朋友圈
export function addFriendCircle(data) {
  return request({
    url: '/qw/friendCircle',
    method: 'post',
    data: data
  })
}

// 修改客户朋友圈
export function updateFriendCircle(data) {
  return request({
    url: '/qw/friendCircle',
    method: 'put',
    data: data
  })
}

// 删除客户朋友圈
export function delFriendCircle(id) {
  return request({
    url: '/qw/friendCircle/' + id,
    method: 'delete'
  })
}

// 导出客户朋友圈
export function exportFriendCircle(query) {
  return request({
    url: '/qw/friendCircle/export',
    method: 'get',
    params: query
  })
}
